Block or unblock DCA for a position

POST https://api.cryptohopper.com/v1/hopper/{id}/position/dca/{position_id}/block

Blocks or unblocks DCA orders for one open position. Send block 1 to block, 0 or leave it out to unblock.

When unblocking, data is "DCA block released for position with ID: 123456.". Not available for exchange arbitrage, market maker, copy and grid bots.

Example request

curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/position/dca/POSITION_ID/block" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"block":1}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
position_id string Required Open position ID.
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": "DCA block setted for position with ID: 123456."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.